package main

import (
	"context"

	"git.optclblast.xyz/draincloud/draincloud-core/internal/app"
	"git.optclblast.xyz/draincloud/draincloud-core/internal/plugin"
)

func main() {
	ctx := context.Background()
	ps := plugin.NewPluginStore()
	pl := plugin.MustNewPluginLoader(ctx, 8081, ps)
	pl.Run(ctx)
	app.New().Run(context.TODO())
}
